Subject: bug#175: Broke upgrade

From: Idar <[email-masked]>
Date: Tue, 20 Mar 2018 08:12:53 +0000

Hmmm... I think this change may have
caused the following upgrade snafu:

Setting up eudev (3.2.2-12) ...
insserv: script eudev: service udev already provided!
[ ok ] Stopping the hotplug events dispatcher: udevd.
[ ok ] Starting the hotplug events dispatcher: udevd.

*******************************************************
  Warning: eudev will default to the older network
  interface names, such as eth0 or wlan0. If you use
  the new names, such as enp0s3, you will need to add
  the following to the boot command:
                net.ifnames=1
********************************************************

update-initramfs: deferring update (trigger activated)
insserv: script eudev: service udev already provided!
insserv: exiting now!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package eudev (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for initramfs-tools (0.130) ...
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
I: The initramfs will attempt to resume from /dev/sda5
I: (UUID=601cd31c-7907-4959-82a6-2deae047b12a)
I: Set the RESUME variable to override this.
Errors were encountered while processing:
 eudev
E: Sub-process /usr/bin/dpkg returned an error code (1)